Bug 19055 - GetReservesToBranch is not used
Summary: GetReservesToBranch is not used
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
Depends on: 19025
Blocks: 17728 19056
  Show dependency treegraph
 
Reported: 2017-08-07 20:24 UTC by Jonathan Druart
Modified: 2017-12-07 22:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19055: Remove C4::Reserves::GetReservesToBranch (1.58 KB, patch)
2017-08-07 20:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19055: Remove C4::Reserves::GetReservesToBranch (1.55 KB, patch)
2017-08-07 20:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19055: Remove C4::Reserves::GetReservesToBranch (1.68 KB, patch)
2017-08-08 08:20 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 19055: Remove C4::Reserves::GetReservesToBranch (1.75 KB, patch)
2017-09-01 09:47 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-08-07 20:24:19 UTC
Let's remove it
Comment 1 Jonathan Druart 2017-08-07 20:44:16 UTC
Created attachment 65600 [details] [review]
Bug 19055: Remove C4::Reserves::GetReservesToBranch

This subroutine is no longer in used and can be removed

Test plan:
  git grep GetReservesToBranch
must not return any results
Comment 2 Jonathan Druart 2017-08-07 20:50:02 UTC
Created attachment 65603 [details] [review]
Bug 19055: Remove C4::Reserves::GetReservesToBranch

This subroutine is no longer in used and can be removed

Test plan:
  git grep GetReservesToBranch
must not return any results
Comment 3 Marc Véron 2017-08-08 08:20:26 UTC
Created attachment 65616 [details] [review]
Bug 19055: Remove C4::Reserves::GetReservesToBranch

This subroutine is no longer in used and can be removed

Test plan:
  git grep GetReservesToBranch
must not return any results

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Julian Maurice 2017-09-01 09:47:55 UTC
Created attachment 66694 [details] [review]
Bug 19055: Remove C4::Reserves::GetReservesToBranch

This subroutine is no longer in used and can be removed

Test plan:
  git grep GetReservesToBranch
must not return any results

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Jonathan Druart 2017-09-01 16:07:45 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-10-03 08:20:25 UTC
Pushed to 17.05.x, will be in 17.05.05.

No call in this version neither.
Comment 7 Katrin Fischer 2017-10-05 21:28:19 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.